# coding: utf-8

"""
    Kubernetes

    No description provided (generated by Swagger Codegen https://github.com/swagger-api/swagger-codegen)

    OpenAPI spec version: v1.8.5
    
    Generated by: https://github.com/swagger-api/swagger-codegen.git
"""


from __future__ import absolute_import

import os
import sys
import unittest

import kubernetes.client
from kubernetes.client.rest import ApiException
from kubernetes.client.models.v1_horizontal_pod_autoscaler import V1HorizontalPodAutoscaler


class TestV1HorizontalPodAutoscaler(unittest.TestCase):
    """ V1HorizontalPodAutoscaler unit test stubs """

    def setUp(self):
        pass

    def tearDown(self):
        pass

    def testV1HorizontalPodAutoscaler(self):
        """
        Test V1HorizontalPodAutoscaler
        """
        # FIXME: construct object with mandatory attributes with example values
        #model = kubernetes.client.models.v1_horizontal_pod_autoscaler.V1HorizontalPodAutoscaler()
        pass


if __name__ == '__main__':
    unittest.main()
